Subject: Re: [Rtg-yang-coord] FW: New Version Notification for draft-liu-rtgwg-yang-rip-00.txt

From: Xufeng Liu <[email-masked]>
Date: Thu, 16 Jul 2015 02:18:31 +0000

Hi Lada,

Thanks for the comments. We have updated the model to address them in https://tools.ietf.org/html/draft-liu-rtgwg-yang-rip-01.

Please let us know for any further comments.

Thanks,

- Xufeng

> -----Original Message-----
> From: Rtg-yang-coord [mailto:[email-masked]] On Behalf Of
> Ladislav Lhotka
> Sent: Monday, April 27, 2015 5:08 AM
> To: Xufeng Liu; [email-masked]
> Subject: Re: [Rtg-yang-coord] FW: New Version Notification for draft-liu-rtgwg-
> yang-rip-00.txt
> 
> Hi,
> 
> I read the draft and here are my comments, mainly YANG-related:
> 
>    - I'd suggest to define a common "rip" identity from which both
>      "ripv2" and "ripng" are derived. That is:
> 
>      identity rip {
>        base rt:routing-protocol;
>        description
>          "Identity for the RIP routing protocol.";
>      }
> 
>      identity ripv2 {
>        base "rip:rip";
>        description "RIPv2";
>      }
> 
>      identity ripng {
>        base "rip:rip";
>        description "RIPng";
>      }
> 
>      The benefits of doing so will be apparent with YANG 1.1 where the
>      following "when" statement will be able to cover both versions:
> 
>      when "derived-from(rt:type, 'ietf-rip', 'rip')";
> 
[Xufeng] Updated the model with the extra level of identity 'rip'. 

>      - The purpose of distribute-list should be explained in more
>        detail given that it is not a standard function.
[Xufeng] Updated the model with more descriptions.

> 
>      - The definition
> 
>        leaf in-out {
>          type boolean;
>          description
>            "false for 'in', and true for 'out'.";
>        }
> 
>        looks quite awkward, and without access to the data model it is
>        unclear what, e.g.
> 
>        "in-out": true
> 
>        means. I'd suggest something more reader-friendly, such as
> 
>        leaf direction {
>          type enumeration {
>            enum "in";
>            enum "out";
>          }
>        }
[Xufeng] Took your suggestion to use enumeration instead of Boolean.

> 
>      - The leaf "distance" seems to have the same role as
>        "rt:protocol/rt:route-preference". Do you have any reason for
>        not using the latter?
[Xufeng] Discussed with ospf people. It seems that you have discussed this issue and decided to move this attribute from ip-routing to the individual protocol.

> 
>      - The range for route metric is "0..16" but both RFC 2080 and
>        2453 state that the metric is a value between 1 and 15. I am
>        especially wondering about the value of zero - is it really
>        legal?
[Xufeng] 0 is not legal to be advertised, but the value here is not used for advertisement. It is used for manipulating metric when a route is redistributed. 

> 
>      - The "must" statement for leaf "rip:interface" tries to make sure
>        that either IPv4 or IPv6 is enabled on the interface to which
>        the leaf refers. I think the setting of the "ip:enabled" leaf
>        should also be taken into account, so the "must" expression
>        should be
> 
>        must "(../../../rt:type = 'rip:ripv2' and "
>           + "/if:interfaces/if:interface[name=current()]/"
>           + "ip:ipv4/ip:enabled = 'true') or "
>           + "(../../../rt:type = 'rip:ripng' and "
>           + "/if:interfaces/if:interface[name=current()]/"
>           + "ip:ipv6/ip:enabled = 'true')"
[Xufeng] We intend to allow an interface to be configured even if IPv4/IPv6 is not enabled.

> 
> Lada
> 
> Xufeng Liu <[email-masked]> writes:
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Friday, April 24, 2015 10:10 AM
> > To: Prateek Sarda; Xufeng Liu; Prateek Sarda; Xufeng Liu
> > Subject: New Version Notification for draft-liu-rtgwg-yang-rip-00.txt
> >
> >
> > A new version of I-D, draft-liu-rtgwg-yang-rip-00.txt has been successfully
> submitted by Xufeng Liu and posted to the IETF repository.
> >
> > Name:		draft-liu-rtgwg-yang-rip
> > Revision:	00
> > Title:		A YANG Data Model for Routing Information Protocol (RIP)
> > Document date:	2015-04-24
> > Group:		Individual Submission
> > Pages:		26
> > URL:            http://www.ietf.org/internet-drafts/draft-liu-rtgwg-yang-rip-00.txt
> > Status:         https://datatracker.ietf.org/doc/draft-liu-rtgwg-yang-rip/
> > Htmlized:       http://tools.ietf.org/html/draft-liu-rtgwg-yang-rip-00
> >
> >
> > Abstract:
> >    This document describes a data model for Routing Information Protocol
> >    (RIP). Both RIP version 2 and RIPng are covered.
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> >
> > The IETF Secretariat
> >
> > _______________________________________________
> > Rtg-yang-coord mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/rtg-yang-coord
> 
> --
> Ladislav Lhotka, CZ.NIC Labs
> PGP Key ID: E74E8C0C
> 
> _______________________________________________
> Rtg-yang-coord mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtg-yang-coord